/*
 *  Copyright 2010 Jesse Long.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */

package net.rumati.sqlblocks;

public class Join
{
    public static enum Type
    {
        LEFT_OUTER, RIGHT_OUTER, INNER;
    }

    private final String joinAlias;
    private final Type joinType;
    private final Relation relation;
    private WhereCondition joinCondition = null;

    public Join(Type joinType, Relation relation, String joinAlias)
    {
        this.joinType = joinType;
        this.relation = relation;
        this.joinAlias = joinAlias;
    }

    public Join(Type joinType, Relation relation, String joinAlias, WhereCondition joinCondition)
    {
        this.joinType = joinType;
        this.relation = relation;
        this.joinAlias = joinAlias;
        this.joinCondition = joinCondition;
    }

    public Type getJoinType()
    {
        return joinType;
    }

    public Relation getRelation()
    {
        return relation;
    }

    public String getJoinAlias()
    {
        return joinAlias;
    }

    public WhereCondition getJoinCondition()
    {
        return joinCondition;
    }

    public void setJoinCondition(WhereCondition joinCondition)
    {
        this.joinCondition = joinCondition;
    }
}
