/*
 *  Copyright 2010 Jesse Long.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */

package net.rumati.sqlblocks;

import net.rumati.sqlblocks.compile.ResultBuilder;

public class OrWhereConditionList
    extends WhereConditionList
{
    /**
     * {@inheritDoc}
     */
    @Override
    final void compile(BaseSQLCompiler compiler, ResultBuilder result)
    {
        compiler.appendOrWhereConditionListSQL(this, result);
    }

    /**
     * Adds a {@link WhereCondition} to the list.
     * @param c The condition to add to the list.
     * @return This {@link OrWhereConditionList}
     */
    @Override
    public OrWhereConditionList addCondition(WhereCondition c)
    {
        super.addCondition(c);
        return this;
    }
}
